Skip to content
v2.275.0

BetweenConfigurationProperty Struct ​

Configuration that defines how BETWEEN range filter operations are translated into REST API request parameters.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_glue as glue } from 'aws-cdk-lib';
const betweenConfigurationProperty: glue.CfnConnectionType.BetweenConfigurationProperty = {
  highBoundKey: 'highBoundKey',
  lowBoundKey: 'lowBoundKey',
  template: 'template',
};

Properties ​

highBoundKeyoptionalstringhigh_bound_keyoptionalstrhighBoundKeyoptionalStringHighBoundKeyoptionalstringHighBoundKeyoptional*string#
The parameter name used for the upper bound value in a BETWEEN filter operation.
lowBoundKeyoptionalstringlow_bound_keyoptionalstrlowBoundKeyoptionalStringLowBoundKeyoptionalstringLowBoundKeyoptional*string#
The parameter name used for the lower bound value in a BETWEEN filter operation.
templateoptionalstringtemplateoptionalstrtemplateoptionalStringTemplateoptionalstringTemplateoptional*string#
A template string for constructing the BETWEEN filter expression.